ENOSYS(1)

NUME
enosys - utilitate pentru a face ca apelurile de sistem să eșueze cu ENOSYS

REZUMAT

enosys [--syscall|-s syscall] comanda

DESCRIERE

enosys este o comandă simplă pentru a executa un proces copil pentru care anumite syscalls eșuează cu errno ENOSYS.

Aceasta poate fi utilizată pentru a testa comportamentul aplicațiilor în cazul în care lipsesc apelurile de sistem, așa cum s-ar putea întâmpla în cazul rulării pe nuclee vechi.

OPȚIUNI

-s, --syscall
    Apelul de sistem de blocat cu ENOSYS. Poate fi specificată de mai multe ori. Un număr sau un nume alternativ al erorii poate fi specificat cu două puncte („:”).

-i, --ioctl
    Ioctl pentru a bloca cu ENOTTY. Poate fi specificată de mai multe ori. Un număr sau un nume alternativ al erorii poate fi specificat cu două puncte.

-l, --list
    Listează apelurile de sistem „syscall” cunoscute de enosys.

-m, --list-ioctl
    Listează apelurile ioctl cunoscute de enosys.

-d, --dump[=fișier]
    Descarcă filtrul de cod intermediar „bytecode” al seccomp la ieșirea standard.

    Descărcarea poate fi, de exemplu, utilizată de setpriv --seccomp-filter.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

EXEMPLE

    # eșuează apelul de sistem „fallocate” cu ENOSYS
    enosys -s fallocate ...

    # eșuează apelul de sistem „fallocate” cu ENOMEM
    enosys -s fallocate:ENOMEM ...

    # eșuează apelul de sistem „fallocate” cu valoarea 12/ENOMEM
    enosys -s fallocate:12 ...

    # eșuează ioctl FIOCLEX cu ENOTTY
    enosys -i FIOCLEX ...

    # eșuează ioctl FIOCLEX cu ENOMEM
    enosys -i FIOCLEX:ENOMEM ...

    # eșuează ioctl FIOCLEX cu valoarea 12/ENOMEM
    enosys -i FIOCLEX:12 ...

STARE DE IEȘIRE

enosys iese cu codul de stare al procesului executat. Următoarele valori au semnificații speciale:

1
    eroare internă

2
    sistemul nu oferă funcționalitatea necesară

AUTORI

CONSULTAȚI ȘI

syscall(2)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda enosys face parte din pachetul util-linux care poate fi descărcat de la